-------------------------------------------------------------------------------------------
function OnSceneEnter()
-- pierwsze wejscie
 	if s.s01_0401_square_visit==0 and s.s01_time_hint==0 then
		if s.sys_get_tutorial==0 then
			s.s01_time_hint=1
			ShowGameHint("game_hint_12")
			UI:Helper("up", true,Ogre.Vector2(1200,650), 7 ) 
		end
 	end
-- rozpoczecie dialogu z kloaszardem jak porozmawialismy z Irene
	if s.dlg_s01_05==1 and s.dlg_s01_06==0 then
		Dialog("dlg_s01_06")
		Sound("snd_go_s01_0400_avenue")
		GoTo("s01_0400_avenue")
-- rozpoczecie dialogu z kloaszardem jak mamy salatke i napoj
	elseif s.i_fruitdrink==1 and s.dlg_s01_07==0 then
		Dialog("dlg_s01_07")
		Delete("i_fruitdrink")
		Sound("snd_go_s01_0400_avenue")
		GoTo("s01_0400_avenue")
-- rozpoczecie dialogu z kloaszardem jak porozmawialismy z policjantem o tragedii
	elseif s.dlg_s01_09==1 and s.dlg_s01_12==0  then
		Dialog("dlg_s01_12")
		Sound("snd_go_s01_0400_avenue")
		GoTo("s01_0400_avenue")
-- rozpoczecie dialogu po ucieczce Irene
	elseif s.dlg_s01_16==1 and s.dlg_s01_17==0   then
		Dialog("dlg_s01_17")
		GoTo("s01_0410_square_ho2")
	end
end
-------------------------------------------------------------------------------------------